Subject: bug#36194: closed (Re: [bug#36194] [PATCH 05/10] gnu: Add python-leather.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Jul 2019 13:48:03 +0000

Your bug report

#36194: [PATCH 00/10] Add csvkit.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36194: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36194
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#36194] [PATCH 05/10] gnu: Add python-leather.
From: Ludovic Courtès <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Jul 2019 15:47:11 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Pierre!

I applied the whole series after tweaking two descriptions.

Two minor comments:

Pierre Langlois <[email-masked]> skribis:

> +;; Base package definition for packages from https://github.com/wireservice.
> +;; This is done so we can share how to run tests and build documentation.
> +(define base-package
> +  (package
> +    (name #f)
> +    (version #f)
> +    (source #f)
> +    (home-page #f)
> +    (synopsis #f)
> +    (description #f)
> +    (build-system python-build-system)

As a matter of style, I would prefer to never have fields with a value
of an invalid type, as is the case above; if one forgets to override
these fields, we end up with an incorrect package.

What about using ‘python-leather’ as the base package and defining a
macro like:

  (define-syntax-rule (wireservice-package fields ...)
    (package
      (build-system python-build-system)
      (arguments (package-arguments python-leather))
      (native-inputs (package-native-inputs python-leather))
      fields ...))
        
?

> diff --git a/gnu/packages/patches/csvkit-fix-tests.patch b/gnu/packages/patches/csvkit-fix-tests.patch
> new file mode 100644
> index 0000000000..e62b601fe4
> --- /dev/null
> +++ b/gnu/packages/patches/csvkit-fix-tests.patch
> @@ -0,0 +1,45 @@
> +diff --git a/tests/test_utilities/test_csvsql.py b/tests/test_utilities/test_csvsql.py
> +index e6ec4af..4f47980 100644
> +--- a/tests/test_utilities/test_csvsql.py
> ++++ b/tests/test_utilities/test_csvsql.py
> +@@ -197,7 +197,7 @@ class TestCSVSQL(CSVKitTestCase, EmptyFileTests):
> +         utility.run()

For your future self and for your fellow hackers ;-), it’d be great if
you could add just a couple of lines at the top of each patch stating
(1) where they come from, and (2) what they do.

Thanks for the patch series, and apologies for the delay!

Ludo’.

Subject: [PATCH 00/10] Add csvkit.
From: Pierre Langlois <[email-masked]>
To: [email-masked]
Cc: Pierre Langlois <[email-masked]>
Date: Thu, 13 Jun 2019 16:01:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix!

Here are patches to add csvkit [0] and its dependencies to guix. It provides
various useful commands to deal with CSV data.

A lot of the packages come from the same https://github.com/wireservice
account and their documentation is built the same way so I've added them in a
new 'wireservice.scm' file, so they could inherit from the same package
definition.

What do you think?

Thanks,
Pierre

[0]: https://csvkit.readthedocs.io/en/latest

Pierre Langlois (10):
  gnu: Add python-slugify.
  gnu: Add python-pytimeparse.
  gnu: Add python-crate.
  gnu: Add python-dbfread.
  gnu: Add python-leather.
  gnu: Add python-agate.
  gnu: Add python-agate-sql.
  gnu: Add python-agate-dbf.
  gnu: Add python-agate-excel.
  gnu: Add csvkit.

 gnu/local.mk                                  |   3 +
 gnu/packages/databases.scm                    |  25 ++
 gnu/packages/patches/csvkit-fix-tests.patch   |  45 +++
 .../python-slugify-depend-on-unidecode.patch  |  22 ++
 gnu/packages/python-web.scm                   |  31 ++
 gnu/packages/python-xyz.scm                   |  22 ++
 gnu/packages/time.scm                         |  21 ++
 gnu/packages/wireservice.scm                  | 266 ++++++++++++++++++
 8 files changed, 435 insertions(+)
 create mode 100644 gnu/packages/patches/csvkit-fix-tests.patch
 create mode 100644 gnu/packages/patches/python-slugify-depend-on-unidecode.patch
 create mode 100644 gnu/packages/wireservice.scm

--
2.22.0